ruby-devel-2.1.2-5-rosa2014.1.x86_64.rpm


Advertisement

Description

ruby-devel - Development file for the powerful language Ruby

Property Value
Distribution ROSA 2014.1
Repository ROSA Main x86_64
Package filename ruby-devel-2.1.2-5-rosa2014.1.x86_64.rpm
Package name ruby-devel
Package version 2.1.2
Package release 5-rosa2014.1
Package architecture x86_64
Package type rpm
Category Development/Ruby
Homepage http://www.ruby-lang.org/
License Ruby or GPLv2+
Maintainer -
Download size 3.52 MB
Installed size 14.13 MB
Ruby is the interpreted scripting language for quick and
easy object-oriented programming.  It has many features to
process text files and to do system management tasks (as in
Perl). It is simple, straight-forward, and extensible.
This package contains the Ruby's devel files.

Alternatives

Package Version Architecture Repository
ruby-devel-2.1.10-1-rosa2014.1.x86_64.rpm 2.1.10 x86_64 ROSA Main Updates
ruby-devel-2.1.10-1-rosa2014.1.i586.rpm 2.1.10 i586 ROSA Main Updates
ruby-devel-2.1.2-5-rosa2014.1.i586.rpm 2.1.2 i586 ROSA Main
ruby-devel - - -

Requires

Name Value
ruby == 2.1.2-5:2014.1

Provides

Name Value
devel(libruby(64bit)) -
pkgconfig(ruby) == 2.1.0
pkgconfig(ruby-2.1) == 2.1.0
ruby-devel == 2.1.2-5:2014.1
ruby-static == 2.1.2-5:2014.1
ruby1.9-devel == 2.1.2-5:2014.1

Obsoletes

Name Value
ruby-static < 2.1.2-5:2014.1
ruby1.9-devel < 2.1.2-5:2014.1

Download

Type URL
Mirror mirror.rosalab.ru
Binary Package ruby-devel-2.1.2-5-rosa2014.1.x86_64.rpm
Source Package ruby-2.1.2-5.src.rpm

Install Howto

  1. Enable ROSA Main repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install ruby-devel rpm package:
    # urpmi ruby-devel

Files

Path
/usr/include/ruby-2.1.0/ruby.h
/usr/include/ruby-2.1.0/ruby/debug.h
/usr/include/ruby-2.1.0/ruby/defines.h
/usr/include/ruby-2.1.0/ruby/digest.h
/usr/include/ruby-2.1.0/ruby/dl.h
/usr/include/ruby-2.1.0/ruby/encoding.h
/usr/include/ruby-2.1.0/ruby/intern.h
/usr/include/ruby-2.1.0/ruby/io.h
/usr/include/ruby-2.1.0/ruby/missing.h
/usr/include/ruby-2.1.0/ruby/oniguruma.h
/usr/include/ruby-2.1.0/ruby/re.h
/usr/include/ruby-2.1.0/ruby/regex.h
/usr/include/ruby-2.1.0/ruby/ruby.h
/usr/include/ruby-2.1.0/ruby/st.h
/usr/include/ruby-2.1.0/ruby/subst.h
/usr/include/ruby-2.1.0/ruby/thread.h
/usr/include/ruby-2.1.0/ruby/util.h
/usr/include/ruby-2.1.0/ruby/version.h
/usr/include/ruby-2.1.0/ruby/vm.h
/usr/include/ruby-2.1.0/ruby/backward/classext.h
/usr/include/ruby-2.1.0/ruby/backward/rubyio.h
/usr/include/ruby-2.1.0/ruby/backward/rubysig.h
/usr/include/ruby-2.1.0/ruby/backward/st.h
/usr/include/ruby-2.1.0/ruby/backward/util.h
/usr/include/ruby-2.1.0/x86_64-linux/
/usr/include/ruby-2.1.0/x86_64-linux/ruby/config.h
/usr/lib64/libruby-static.a
/usr/lib64/libruby.so
/usr/lib64/pkgconfig/ruby-2.1.pc
/usr/lib64/pkgconfig/ruby.pc

Changelog

2014-07-10 - Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.1.2-5
+ Revision: 626e375
- Add patch to make rubygems respect --build-root option

See Also

Package Description
ruby-doc-2.1.2-5-rosa2014.1.noarch.rpm Documentation for the powerful language Ruby
ruby-graphviz-2.38.0-3-rosa2014.1.x86_64.rpm Graphviz bindings for ruby
ruby-obexftp-0.23-17-rosa2014.1.x86_64.rpm Ruby binding for obexftp
ruby-openbabel-2.3.1-5-rosa2014.1.x86_64.rpm Ruby wrapper for the Open Babel library
ruby-papi-1.0-0.177.13-rosa2014.1.x86_64.rpm FSG OpenPrinting PAPI Ruby bindings
ruby-papi-devel-1.0-0.177.13-rosa2014.1.x86_64.rpm FSG OpenPrinting PAPI Ruby bindings, development libraries
ruby-progressbar-0.11.0-2-rosa2014.1.noarch.rpm Ruby/ProgressBar is a text progress bar library for Ruby
ruby-progressbar-doc-0.11.0-2-rosa2014.1.noarch.rpm Documentation for ruby-progressbar
ruby-qt4-4.13.3-1-rosa2014.1.x86_64.rpm Ruby Qt4 bindings
ruby-qt4-devel-4.13.3-1-rosa2014.1.x86_64.rpm Header files for ruby-qt4
ruby-rbogl-0.32g-14-rosa2014.1.x86_64.rpm Ruby extension library to use OpenGL
ruby-sary-1.2.0-13-rosa2014.1.x86_64.rpm Ruby Binding of Sary
ruby-saslwrapper-0.14-2-rosa2014.1.x86_64.rpm Ruby bindings for saslwrapper
ruby-svn-1.8.9-2-rosa2014.1.x86_64.rpm Ruby bindings for Subversion
ruby-svn-devel-1.8.9-2-rosa2014.1.x86_64.rpm Subversion headers/libraries for development
Advertisement
Advertisement